Distribution EOLE - Scénario #33440

probléeme lié a la gestion du dhcp via I'EAD3 sur module scribe AD
23/11/2021 10:17 - Julien Lacombe

Statut: Terminé (Sprint) Début: 13/12/2021
Priorité: Normal Echéance: 14/01/2022
Assigné a: Emmanuel GARETTE % réalisé: 100%
Catégorie: Temps estimé: 0.00 heure
Version cible: Prestation Cadoles MEN 2021 50-02 Temps passé: 0.00 heure
Description

Nous rencontrons un probleme lié a la gestion du DHCP via 'EADS sur le module ScribeAD.
Nous avons le probléme sur deux serveurs en v2.7.1 et v2.8.1.

La configuration actuelle sur les deux serveurs : deux plages DHCP, une en dynamique (10.0.60.0/24) et une en statique pour les
réservations (10.254.0.0/24). La gestion du DHCP sur 'EAD3 est activée.

Quand nous nous connectons sur 'TEAD3, nous obtenons les erreurs suivantes :
Passed invalid arguments to ead.dhcp_get_leases: '_sre.SRE_Match' object does not support item assignment None
Passed invalid arguments to ead.dhcp_get_subnets: '_sre.SRE_Match' object does not support item assignment None

Ces erreurs rendent inutilisable la gestion du DHCP sur TEADS. Tous les onglets sont vides et nous ne voyons plus le baux en cours
ni les deux plages d’adresses.

Cependant, le DHCP fonctionne correctement. Les périphériques récupérent bien leurs adresses (via les deux plages d’adresses)
sur le réseau.

Le probléme semble se situer sur la lecture du baux DHCP en cours (fichier /var/lib/dhcp/dhcpd.leases) par TEADS.
Nous I'avons supprimé pour repartir sur un nouveau.

Résultat, la gestion du DHCP sur 'EAD3 est de nouveau fonctionnelle.

Mais dés que les stations sur le réseau sollicitent le DHCP, le probléme revient.

Les logs pour le serveur v2.7.2 : https://we.tl/t-Znl0x2gnKr

Les logs pour le serveur v2.8.1 : https://we.tl/t-8YnGWtPFE3

Sous-taches:

Tache # 33520: tester Fermé
Tache # 33604: Etude de la demande Fermé
Téache # 33605: Etudier la bug salt Fermé
Téache # 33614: Gérer les noms d'hétes invalide dans le fichier leases Fermé

Demandes liées:

Lié a Distribution EOLE - Scénario #30406: Erreur EAD3 DHCP SETH 2.7.1.2 Terminé (Sprin§3/07/2020 28/08/2020
Lié a Distribution EOLE - Tache #33570: Valider le scénario probleme lié a la... Fermé 22/12/2021
Historique

#1 - 25/11/2021 11:39 - Gilles Grandgérard
- Tracker changé de Demande a Scénario

- Début 23/11/2021 supprimé

#2 - 25/11/2021 11:40 - Gilles Grandgérard
- Release mis a EOLE 2.8.1
#3 - 10/12/2021 11:52 - Joél Cuissinat

- Points de scénarios mis a 1.0

#4 - 10/12/2021 11:54 - Joél Cuissinat
- Release changé de EOLE 2.8.1 a Carnet de produit (Cadoles)

#5 - 10/12/2021 12:37 - Joél Cuissinat

Julien Lacombe a écrit :

Les logs pour le serveur v2.7.2 : https://we.tl/t-Znl0x2gnKr

Les logs pour le serveur v2.8.1 : https://we.tl/t-8YnGWtPFE3

Nous avons trop tardé, les partages sont expirés...
Il faudrait nous transmettre le fichier "/var/lib/dhcp/dhcpd.leases” qui pose probléme afin que I'on puisse reproduire I'erreur.
Et éventuellement voir si il n'y a pas une pile d'appel (traceback) dans les logs : /var/log/rsyslog/local/salt-master-ead3/salt-master-ead3.info.log

#6 - 11/12/2021 10:17 - Joél Cuissinat

Dans les logs fournis par un autre utilisateur (Valence Romans Agglo), on peut trouver :

File "/usr/lib/python3/dist-packages/salt/ext/tornado/gen.py", line 309, in wrapper
yielded = next (result)
File "/usr/lib/python3/dist-packages/salt/utils/process.py", line 664, in run
self.check_children()
File "/usr/lib/python3/dist-packages/salt/utils/process.py", line 689, in check_children
for pid, mapping in self._process_map.items () :
RuntimeError: dictionary keys changed during iteration
[WARNING ] Master received a SIGTERM. Exiting.
The salt master is shutdown. Master received a SIGTERM. Exited.
Exception ignored in: <Finalize object, dead>
Traceback (most recent call last):
File "/usr/lib/python3.8/multiprocessing/util.py", line 224, in __call__
File "/usr/lib/python3.8/multiprocessing/util.py", line 464, in close_fds
AttributeError: 'NoneType' object has no attribute 'close'
[ERROR ] Future <salt.ext.tornado.concurrent.Future object at 0x7£096840ccal0> exception was never retrieved:
Traceback (most recent call last):

File "/usr/lib/python3/dist-packages/salt/ext/tornao/gen.py", line 309, in wrapper
yielded = next (result)
File "/usr/lib/python3/dist-packages/salt/utils/process.py", line 664, in run
self.check_children ()
File "/usr/lib/python3/dist-packages/salt/utils/process.py", line 689, in check_children
for pid, mapping in self._process_map.items () :
RuntimeError: dictionary keys changed during iteration

J'ai copié le fichier de leases transmis dans le partage interne pour étude ultérieure :
/mnt/eole-ci-tests/output/dhcp/valence-dhcpd.leases
#7 - 13/12/2021 16:13 - Emmanuel GARETTE

Dans le fichier /ust/lib/python3/dist-packages/salt/utils/process.py on voit que parfois il copie le dico avant d'itérer dessus :

for pid, p_map in self._process_map.copy().items() :

Mais pas partout.

#8 - 14/12/2021 10:00 - Matthieu Lamalle

- Echéance mis a 14/01/2022

- Assigné a mis a Emmanuel GARETTE

- Version cible mis a Prestation Cadoles MEN 2021 50-02
- Début mis a 13/12/2021

- Release Carnet de produit (Cadoles) supprimé

#9 - 03/01/2022 10:54 - Emmanuel GARETTE
- Lié a Scénario #30406: Erreur EAD3 DHCP SETH 2.7.1.2 ajouté

#10 - 10/01/2022 10:43 - Joél Cuissinat
- Statut changé de Nouveau a Terminé (Sprint)

- Release mis a EOLE 2.7.2

#11 - 10/01/2022 10:44 - Joél Cuissinat

- Lié a Tache #33570: Valider le scénario probleme lié a la gestion du dhcp via I'EAD3 sur module scribe AD ajouté
